extends Scene


func _on_haunted_forest_interacted() -> void:
	$kq4_012_haunted_forest.default_script(self)


func _on_waterfall_and_pool_interacted() -> void:
	$kq4_024_waterfall_and_pool.default_script(self)


func _on_spooky_house_exterior_interacted() -> void:
	$kq4_017_spooky_house_exterior.default_script(self)


func _on_gravestones_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Each tombstone has an epitaph written on it.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This is a scary old cemetery!")
	).build(self, "_on_script_complete"))
